<?php

namespace App\Http\Controllers;

use App\Models\energy;
use Illuminate\Http\Request;

class EnergyController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $energy = energy::all();
        return view('system.energy.energy',compact('energy'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'value' => 'required',
        ],[

            'value.required' =>'يرجي ادخال الطاقة الإنتاجية',



        ]);;
        energy::create($data);
        session()->flash('Add', 'تم اضافة الطاقة الإنتاجية بنجاح ');
        return redirect('/energy');
    }

    /**
     * Display the specified resource.
     */
    public function show()
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit()
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request)
    {
        $id = $request->id;

        $this->validate($request, [

            'value' => 'required',

        ],[

            'value.required' =>'يرجي ادخال الطاقة الإنتاجية',

        ]);

        $energy = energy::find($id);
        $energy->update([
            'value' => $request->value,

        ]);

        session()->flash('edit','تم تعديل الطاقة الإنتاجية بنجاج');
        return redirect('/energy');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request)
    {
        energy::find($request->id)->delete();
        session()->flash('delete','تم حذف الطاقة الإنتاجية بنجاح');
        return redirect('/energy');
    }
}
