<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AdditionalServices extends Model
{
    use HasFactory;
    protected $table = "additional_services";
    protected $fillable = [
        'id',
        'program_id',
        'service_name',
        'description',
        'image',
        'price',
        'created_at',
        'updated_at'
    ];
    protected $hidden = [];
    public function Program()
    {
        return $this->belongsTo(Program::class, 'program_id')->withDefault();;
    }
}
