<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Customer extends Model
{
    use HasFactory;

    protected $table='customers';
   
    protected $fillable = [
        'id',
        'name',
        'email',
        'phone_number',
        'password',
        'age',
        'nationality',
        'country',
        'governorate',
        'points',
        'isVerified',
        'role',
        'profile_photo_path',
        'created_at',
        'updated_at'
    ];

 
    protected $hidden = [
 
        'remember_token',
    ];

   
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}
