<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserCoupons extends Model
{
    use HasFactory;
    protected $table = "user_coupons";
    protected $fillable = [
        'id',
        'user_id',
        'coupon_id',
        'created_at',
        'updated_at'
    ];
    protected $hidden = [];
    public function Customer()
    {
        return $this->belongsTo(Customer::class, 'user_id')->withDefault();;
    }
    public function Coupon()
    {
        return $this->belongsTo(Coupons::class, 'coupon_id')->withDefault();;
    }
}
