<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class mainstations extends Model
{
    use HasFactory;
    protected $guarded=['id'];

    public function branch()
    {
        return $this->belongsTo(branches::class);
    }


    public function enterprise()
    {
        return $this->belongsTo(enterprises::class);
    }

    public function station()
    {
        return $this->belongsTo(stations::class,'station_type_id');
    }

    public function mm(){
        return $this->belongsTo(mixers::class,'mixer_type_id');
    }

    public function energy(){
        return $this->belongsTo(energy::class);
    }
}
