
<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('title'); ?>
الفواتير
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-header'); ?>
				<!-- breadcrumb -->
				<div class="breadcrumb-header justify-content-between">
					<div class="my-auto">
						<div class="d-flex">
							<h4 class="content-title mb-0 my-auto">الفواتير</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/ معلومات الفواتير</span>
						</div>
					</div>
					
				</div>
				<!-- breadcrumb -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
				<!-- row -->
				<div class="row">
					<div class="panel panel-primary tabs-style-3">
						<div class="tab-menu-heading">
							<div class="tabs-menu ">
								<!-- Tabs -->
								<ul class="nav panel-tabs">
									<li class=""><a href="#tab11" class="active" data-toggle="tab"><i class="fa fa-laptop"></i> معلومات الفاتورة</a></li>
									<li><a href="#tab12" data-toggle="tab"><i class="fa fa-cube"></i>حالات الدفع </a></li>
									<li><a href="#tab13" data-toggle="tab"><i class="fa fa-cogs"></i> مرفقات الفاتورة</a></li>
									
								</ul>
							</div>
						</div>
						<div class="panel-body tabs-menu-body">
							<div class="tab-content">
								<div class="tab-pane active" id="tab11">
									<table class="table table-striped" style="text-align:center">
										<thead>
											<tr>
												<th class="border-bottom-0">رقم الفاتورة</th>
												<th class="border-bottom-0">تاريخ الفاتورة</th>
												<th class="border-bottom-0">تاريخ الإستحقاق</th>
												<th class="border-bottom-0">المنتج</th>
												<th class="border-bottom-0">القسم</th>
												<th class="border-bottom-0">الخصم</th>
												<th class="border-bottom-0">نسبة الضريبة</th>
												<th class="border-bottom-0">قيمة الضريبة</th>
												<th class="border-bottom-0">الإجمالي</th>
												<th class="border-bottom-0">الحالة</th>
												<th class="border-bottom-0">الملاحظات</th>
											</tr>
										</thead>
										<tbody>
											<tr>
												<td><?php echo e($invoices->invoice_number); ?></td>
												<td><?php echo e($invoices->invoice_Date); ?></td>
												<td><?php echo e($invoices->Due_date); ?></td>
												<td><?php echo e($invoices->product); ?></td>
												<td>
													<?php echo e($invoices->section_name); ?>

												
												</td>
												<td><?php echo e($invoices->Discount); ?></td>
												<td><?php echo e($invoices->Rate_VAT); ?></td>
												<td><?php echo e($invoices->Value_VAT); ?></td>
												<td><?php echo e($invoices->Total); ?></td>

												<td>
													<?php if($invoices->Value_Status ==1): ?>
														<span class="text-success"><?php echo e($invoices->Status); ?></span>
													<?php elseif($invoices->Value_Status ==2): ?>
													<span class="text-danger"><?php echo e($invoices->Status); ?></span>
													<?php else: ?>
													<span class="text-warning"><?php echo e($invoices->Status); ?></span>
													<?php endif; ?>
												</td>

												<td><?php echo e($invoices->note); ?></td>

										</tr>
										</tbody>
									</table>
								</div>
								<div class="tab-pane" id="tab12">
									<table class="table center-aligned-table mb-0 table-hover"
                                                    style="text-align:center">
                                                    <thead>
                                                        <tr class="text-dark">
                                                            <th>رقم الفاتورة</th>
                                                            <th>نوع المنتج</th>
                                                            <th>القسم</th>
                                                            <th>حالة الدفع</th>
                                                            <th>تاريخ الدفع </th>
                                                            <th>ملاحظات</th>
                                                            <th>تاريخ الاضافة </th>
                                                            <th>المستخدم</th>
                                                        </tr>
                                                    </thead>
													<tbody>
														<?php $__currentLoopData = $details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $details): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
														<tr>
															<td><?php echo e($details->invoice_number); ?></td>
															<td><?php echo e($details->product); ?></td>
															<td><?php echo e($invoices->Section->section_name); ?></td>
															<?php if($details->Value_Status == 1): ?>
																<td><span
																		class="badge badge-pill badge-success"><?php echo e($details->Status); ?></span>
																</td>
															<?php elseif($details->Value_Status ==2): ?>
																<td><span
																		class="badge badge-pill badge-danger"><?php echo e($details->Status); ?></span>
																</td>
															<?php else: ?>
																<td><span
																		class="badge badge-pill badge-warning"><?php echo e($details->Status); ?></span>
																</td>
															<?php endif; ?>
															<td><?php echo e($details->Payment_Date); ?></td>
															<td><?php echo e($details->note); ?></td>
															<td><?php echo e($details->created_at); ?></td>
															<td><?php echo e($details->user); ?></td>
														</tr>
														<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
													</tbody>
												</table>
								</div>
								<div class="tab-pane" id="tab13">
									<div class="card card-statistics">
										
											<div class="card-body">
												<p class="text-danger">* صيغة المرفق pdf, jpeg ,.jpg , png </p>
												<h5 class="card-title">اضافة مرفقات</h5>
												<form method="post" action="<?php echo e(url('/InvoiceAttachments')); ?>"
													enctype="multipart/form-data">
													<?php echo csrf_field(); ?>
													<div class="custom-file">
														<input type="file" class="custom-file-input" id="customFile"
															name="file_name" required>
														<input type="hidden" id="customFile" name="invoice_number"
															value="<?php echo e($invoices->invoice_number); ?>">
														<input type="hidden" id="invoice_id" name="invoice_id"
															value="<?php echo e($invoices->id); ?>">
														<label class="custom-file-label" for="customFile">حدد
															المرفق</label>
													</div><br><br>
													<button type="submit" class="btn btn-primary btn-sm "
														name="uploadedFile">تاكيد</button>
												</form>
											</div>
										
										<br>
										<div class="table-responsive mt-15">
									<table class="table center-aligned-table mb-0 table-hover"
                                                    style="text-align:center">
                                                    <thead>
                                                        <tr class="text-dark">
															<th scope="col">اسم الملف</th>
															<th scope="col">قام بالاضافة</th>
															<th scope="col">تاريخ الاضافة</th>
															<th scope="col">العمليات</th>
														</tr>
                                                    </thead>
													<tbody>
														<?php $__currentLoopData = $attachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $attachment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
														<tr>
                                                                <td><?php echo e($attachment->file_name); ?></td>
                                                                <td><?php echo e($attachment->Created_by); ?></td>
                                                                <td><?php echo e($attachment->created_at); ?></td>
																<td>
																	<a class="btn btn-outline-success btn-sm" download=""
                                                                            href="<?php echo e(url('View_file')); ?>/<?php echo e($invoices->invoice_number); ?>/<?php echo e($attachment->file_name); ?>"
                                                                            target="_blank"><i class="fas fa-eye"></i>&nbsp;
                                                                            تحميل</a>
																			- 
																			
																			<a class="btn btn-outline-success btn-sm" 
                                                                            href="<?php echo e(asset('Attachments'.'/'.$invoices->invoice_number.'/'.$attachment->file_name)); ?>"
                                                                            target="_blank"><i class="fas fa-eye"></i>&nbsp;
                                                                            عرض</a>
																			-

																			<button class="btn btn-outline-danger btn-sm"
                                                                                data-toggle="modal"
                                                                                data-file_name="<?php echo e($attachment->file_name); ?>"
                                                                                data-invoice_number="<?php echo e($attachment->invoice_number); ?>"
                                                                                data-id_file="<?php echo e($attachment->id); ?>"
                                                                                data-target="#delete_file">حذف</button>
																</td>
														</tr>
														<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
													</tbody>
									</table>
								</div>
								</div>
								<div class="tab-pane" id="tab14">
								</div>
							</div>
						</div>
					</div>
					<div class="modal fade" id="delete_file" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
					aria-hidden="true">
					<div class="modal-dialog" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title" id="exampleModalLabel">حذف المرفق</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<form action="<?php echo e(route('delete_file')); ?>" method="post">
			
								<?php echo e(csrf_field()); ?>

								<div class="modal-body">
									<p class="text-center">
									<h6 style="color:red"> هل انت متاكد من عملية حذف المرفق ؟</h6>
									</p>
			
									<input type="hidden" name="id_file" id="id_file" value="">
									<input type="hidden" name="file_name" id="file_name" value="">
									<input type="hidden" name="invoice_number" id="invoice_number" value="">
			
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-default" data-dismiss="modal">الغاء</button>
									<button type="submit" class="btn btn-danger">تاكيد</button>
								</div>
							</form>
						</div>
					</div>
				</div>
				</div>
				<!-- row closed -->
			</div>
			<!-- Container closed -->
		</div>
		<!-- main-content closed -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script>
	$('#delete_file').on('show.bs.modal', function(event) {
		var button = $(event.relatedTarget)
		var id_file = button.data('id_file')
		var file_name = button.data('file_name')
		var invoice_number = button.data('invoice_number')
		var modal = $(this)

		modal.find('.modal-body #id_file').val(id_file);
		modal.find('.modal-body #file_name').val(file_name);
		modal.find('.modal-body #invoice_number').val(invoice_number);
	})

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Invoices\resources\views/invoices/details_invoices.blade.php ENDPATH**/ ?>