<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Reservation extends Model
{
    use HasFactory;
    protected $table = "reservation";
    protected $fillable = [
        'id',
        'user_id',
        'program_id',
        'notes',
        'total_price',
        'date_of_reservation',
        'status',
        'created_at',
        'updated_at'
    ];
    protected $hidden = [];
}
