
<?php $__env->startSection('css'); ?>
    <!--- Internal Select2 css-->
    <link href="<?php echo e(URL::asset('assets/plugins/select2/css/select2.min.css')); ?>" rel="stylesheet">
    <!---Internal Fileupload css-->
    <link href="<?php echo e(URL::asset('assets/plugins/fileuploads/css/fileupload.css')); ?>" rel="stylesheet" type="text/css" />
    <!---Internal Fancy uploader css-->
    <link href="<?php echo e(URL::asset('assets/plugins/fancyuploder/fancy_fileupload.css')); ?>" rel="stylesheet" />
    <!--Internal Sumoselect css-->
    <link rel="stylesheet" href="<?php echo e(URL::asset('assets/plugins/sumoselect/sumoselect-rtl.css')); ?>">
    <!--Internal  TelephoneInput css-->
    <link rel="stylesheet" href="<?php echo e(URL::asset('assets/plugins/telephoneinput/telephoneinput-rtl.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('title'); ?>
    تعديل موظف
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-header'); ?>
    <!-- breadcrumb -->
    <div class="breadcrumb-header justify-content-between">
        <div class="my-auto">
            <div class="d-flex">
                <h4 class="content-title mb-0 my-auto">الفواتير</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    تعديل موظف </span>
            </div>
        </div>
    </div>
    <!-- breadcrumb -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <?php if(session()->has('Add')): ?>
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <strong><?php echo e(session()->get('Add')); ?></strong>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    <?php endif; ?>

    <!-- row -->
    <div class="row">

        <div class="col-lg-12 col-md-12">
            <div class="card">
                <div class="card-body">
                    <form action="<?php echo e(route('employees.update',$employee->id)); ?>" method="post" enctype="multipart/form-data"
                          autocomplete="off">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PATCH'); ?>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">اسم الموظف</label>
                                <input type="text" class="form-control form-control-lg" id=""
                                       name="name_ar" value="<?php echo e($employee->name_ar); ?>" >
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">Employee Name </label>
                                <input type="text" class="form-control form-control-lg" id=""
                                       name="name_en" value="<?php echo e($employee->name_en); ?>" >
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> البريد الإلكتروني </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="email"  value="<?php echo e($employee->email); ?>">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> الدولة </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="country"  value="<?php echo e($employee->country); ?>">
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> العنوان </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="adress_ar" value="<?php echo e($employee->adress_ar); ?>" required>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> المحافظة </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="government" value="<?php echo e($employee->government); ?>"required>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> Address </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="adress_en" value="<?php echo e($employee->adress_en); ?>">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> المدينة </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="town" value="<?php echo e($employee->town); ?>">
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> رقم التليفون </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="phone" value="<?php echo e($employee->phone); ?>">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> المنطقة </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="area"  value="<?php echo e($employee->name_ar); ?>">
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> نوع تحقيق الشخصية  </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="id_type" value="<?php echo e($employee->id_type); ?>">
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> رقم تحقيق الشخصية  </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="id_number" value="<?php echo e($employee->id_number); ?>">
                            </div>
                        </div>
                        <br>
                        <div class="d-flex justify-content-center">
                            <button type="submit" class="btn btn-primary">حفظ البيانات</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>

    </div>

    <!-- row closed -->
    </div>
    <!-- Container closed -->
    </div>
    <!-- main-content closed -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    <!-- Internal Select2 js-->
    <script src="<?php echo e(URL::asset('assets/plugins/select2/js/select2.min.js')); ?>"></script>
    <!--Internal Fileuploads js-->
    <script src="<?php echo e(URL::asset('assets/plugins/fileuploads/js/fileupload.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('assets/plugins/fileuploads/js/file-upload.js')); ?>"></script>
    <!--Internal Fancy uploader js-->
    <script src="<?php echo e(URL::asset('assets/plugins/fancyuploder/jquery.ui.widget.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('assets/plugins/fancyuploder/jquery.fileupload.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('assets/plugins/fancyuploder/jquery.iframe-transport.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('assets/plugins/fancyuploder/jquery.fancy-fileupload.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('assets/plugins/fancyuploder/fancy-uploader.js')); ?>"></script>
    <!--Internal  Form-elements js-->
    <script src="<?php echo e(URL::asset('assets/js/advanced-form-elements.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('assets/js/select2.js')); ?>"></script>
    <!--Internal Sumoselect js-->
    <script src="<?php echo e(URL::asset('assets/plugins/sumoselect/jquery.sumoselect.js')); ?>"></script>
    <!--Internal  Datepicker js -->
    <script src="<?php echo e(URL::asset('assets/plugins/jquery-ui/ui/widgets/datepicker.js')); ?>"></script>
    <!--Internal  jquery.maskedinput js -->
    <script src="<?php echo e(URL::asset('assets/plugins/jquery.maskedinput/jquery.maskedinput.js')); ?>"></script>
    <!--Internal  spectrum-colorpicker js -->
    <script src="<?php echo e(URL::asset('assets/plugins/spectrum-colorpicker/spectrum.js')); ?>"></script>
    <!-- Internal form-elements js -->
    <script src="<?php echo e(URL::asset('assets/js/form-elements.js')); ?>"></script>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\KharasanaSystem\resources\views/system/emplyees/edit_employee.blade.php ENDPATH**/ ?>